<<< Previous |  | Next >>>

# FcPatternIterGetValue

## Name

FcPatternIterGetValue -- Returns a value which the iterator point to

## Synopsis

    #include <fontconfig/fontconfig.h>

``FcResult `FcPatternIterGetValue``(const FcPattern *`p`, FcPatternIter *`iter`, int`id`, FcValue *`v`, FcValueBinding *`b`);`

## Description

Returns in `v` the `id`'th value which `iter` point to. also binding to `b` if given. The value returned is not a copy, but rather refers to the data stored within the pattern directly. Applications must not free this value.

## Since

version 2.13.1

<<< Previous | Home | Next >>>
FcPatternIterValueCount | Up | FcPatternPrint